<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_8</title>
</head>
<body>
    <h1>Ejercicio 8</h1>
    <script>
    /*8)Programa una función que elimine cierto patron de caracteres de un texto
    dado, pe. miFuncion('xyz1,xyz2,xyz3,xyz4', xyz) devolverá "1,2,3,4 y 5".*/

    const patronCarac = (cadena = "", patron = "") => 

        (!cadena) 
           ? console.warn("No se ingreso un texto")
           : (!patron)
              ? console.warn("No se ingreso un patron a eliminar")
              : console.log(cadena.replace(new RegExp(patron, "ig"), ""));    
    
    patronCarac("anitalavalatina", "a");
    patronCarac("xyz1,xyz2,xyz3,xyz4", "xyz");

    </script>
    
</body>
</html>